Skip to main content

Update Task Completion

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.update_task_completion

Update task completion status

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-update-task-completion-example",
"method": "tools/call",
"params": {
"name": "ghl.update_task_completion",
"arguments": {
"contactId": "contactId_123",
"taskId": "taskId_123",
"completed": false,
"tenantId": "tenantId_123",
"confirmApply": "confirmApply_example",
"dryRun": false
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"confirmApply": {
"type": "string"
},
"contactId": {
"type": "string"
},
"taskId": {
"type": "string"
},
"completed": {
"type": "boolean"
},
"dryRun": {
"type": "boolean"
}
},
"required": [
"contactId",
"taskId",
"completed"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-update-task-completion-example",
"method": "tools/call",
"params": {
"name": "ghl.update_task_completion",
"arguments": {
"contactId": "contactId_123",
"taskId": "taskId_123",
"completed": false,
"tenantId": "tenantId_123",
"confirmApply": "confirmApply_example",
"dryRun": false
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.update_task_completion executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}